curl --request PATCH \
--url https://api.example.com/api/albums/{album_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'{
"id": "<string>",
"name": "<string>",
"asset_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"album_cover_asset_id": "<string>",
"asset_urls": {},
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z"
}Updates the name and/or description of an existing album. Only the fields included in the request body are changed. To modify the contents of an album, use add_assets_to_album / remove_assets_from_album instead — this tool only changes album metadata.
curl --request PATCH \
--url https://api.example.com/api/albums/{album_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'{
"id": "<string>",
"name": "<string>",
"asset_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"album_cover_asset_id": "<string>",
"asset_urls": {},
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.gumnut.ai/llms.txt
Use this file to discover all available pages before exploring further.
Album ID (with album_ prefix) of the album to rename or re-describe.
Successful Response
Represents a collection of assets organized by the user.
Unique album identifier with 'album_' prefix
Display name of the album
Total number of assets in this album
When this album was created
When this album was last updated
Optional description text for the album
ID of the asset used as the album cover
Asset variants for the album cover: 'thumbnail'
Show child attributes
The oldest asset date (local_datetime) in the album, or null if empty
The newest asset date (local_datetime) in the album, or null if empty